Redmine - Patch #25775

Show assignee's icon in addition to author's icon
2017-05-06 08:01 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.4.0

Description

In current versions of Redmine, author's icon is displayed in the upper left corner of issues if "Use Gravatar user icons" setting is
enabled.

| think it would be very useful if we can see assignee's icon in addition to author's icon because who is the person in charge is
important information to manage projects.

Currently we can see very small (14px) assignee's icon in "Assignee” field but it is not noticeable. If attached patch (
0001-Show-assignee-s-icon-in-addition-to-author-s-icon.patch) is applied, assignee's icon will be much noticeable and we can easily
know current assignee.

assignee-icon-with-author-icon@2x.png

Related issues:

Related to Redmine - Feature #19648: Ability to show the Issue Assigne avatar... Closed
Related to Redmine - Patch #26689: Add title to author's and assignee's icon Closed
Related to Redmine - Defect #26699: Anonymous user should have their icon Closed

Associated revisions

Revision 16655 - 2017-06-10 14:09 - Jean-Philippe Lang

Show assignee's icon in addition to author's icon (#25775).

Patch by Go MAEDA.

Revision 16656 - 2017-06-10 14:18 - Jean-Philippe Lang
Adds tests for #25775.

Revision 16657 - 2017-06-10 14:19 - Jean-Philippe Lang

Removes duplicate avatar of assignee (#25775).

Revision 16658 - 2017-06-10 14:25 - Jean-Philippe Lang

Adds some margin to issue gravatar (#25775).

History

#1 - 2017-05-06 08:39 - Go MAEDA

- Related to Feature #19648: Ability to show the Issue Assigne avatar instead of Author avatar added

#2 - 2017-05-08 01:28 - Akiko Takano
- File 25775-test.patch added

i’'ve just tried above patch and it works fine. (Including responsive layout).
Since | made simple test for this patch, | hope this would be any help.

BTW, I'm using not Gravatar but local avatar plugin to display avatars, https:/github.com/ncoders/redmine_local_avatars.
It seems this plugin does not append / override class setting, such as "gravatar-child" to second avatar icon (for assignee), so that icon for assignee
does not appear at the expected position. (Not Lower right, but Upper right)

Of course, this is plugin’s reason, but if you could, please apply the same style to div.gravatar-with-child > img:nth-child(2).
https://www.redmine.org/attachments/18256
https://github.com/ncoders/redmine_local_avatars

hg diff public/stylesheets/application.css
diff -r f5c7cc60ead2 public/stylesheets/application.css
-—— a/public/stylesheets/application.css Tue Apr 25 17:44:08 2017 +0000
+++ b/public/stylesheets/application.css Mon May 08 08:14:29 2017 +0900
@@ -1313,6 +1313,18 @@
margin: 0 6px 0 0;
}

+div.gravatar-with-child {
+ position: relative;
+}
]
+img.gravatar-child, div.gravatar-with-child > img:nth-child(2) {
position: absolute;
top: 30px;
left: 30px;
border-radius: 20%;
border: 2px solid rgba (255, 255, 255, 0.9);
}

+ 4+ + 4+ + +

Sorry, | failed to attach the patch for Ul test. I'll attache it later.

#3 - 2017-05-08 09:24 - Go MAEDA

- File 0001-Show-assignee-s-icon-in-addition-to-author-s-icon.patch added

Akiko-san, thank you for adding tests and pointing out redmine_local_avatars plugin.
| have updated patch. Now it is compatible with the plugin.

#4 - 2017-05-08 13:54 - Akiko Takano
- File 25775-ui-test.patch added

Maeda-san, thank you for picking up my request.

As | wrote above, attach an additional ui test, I'm glad if this would be help for reviewing or release planning.
(I tested with using Chromedriver and PhantomJS)

Sincerely,

Go MAEDA wrote:

Akiko-san, thank you for adding tests and pointing out redmine_local_avatars plugin.
| have updated patch. Now it is compatible with the plugin.

#5 - 2017-05-10 15:54 - Go MAEDA

- Target version set to 3.4.0

| am sure that this feature is useful for most users. And the feature got many likes on Twitter:
https://twitter.com/g_maeda/status/861485901389504512

Let's merge this feature into trunk along with tests by Akiko Takano. Setting target version to 3.4.0.

#6 - 2017-05-10 16:14 - Marius BALTEANU

Just a note regarding the tests, IMHO, there are no reasons to have Ul tests with PhantomJS (which are slower) for this feature. The same assertions
can be made as well in a functional test.

#7 - 2017-05-11 02:58 - Akiko Takano

Marius, thanks for your comment.

The same assertions can be made as well in a functional test.

Sorry, since | do not know what kind of test is required, | uploaded both types of test.
Looking forward to the next release.

#8 - 2017-05-11 08:07 - Marius BALTEANU

Akiko Takano wrote:
https://twitter.com/g_maeda/status/861485901389504512

Sorry, since | do not know what kind of test is required, | uploaded both types of test.
Looking forward to the next release.

Ah, sorry, | didn't see the functional tests from 25775-test.patch. They look good to me.

#9 - 2017-05-12 09:03 - Jan from Planio www.plan.io

| think this feature would be a great Ul improvement!

#10 - 2017-05-14 18:38 - Vasili Korol

It would be very nice to have this feature. Sometimes users mistake the author's avatar for the assignee.

#11 - 2017-06-10 14:27 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Patch is committed with fixed functional tests. Ul tests are not appropriate for this indeed.
I've also removed the duplicate assignee avatar to clean up the display.
Thanks.

#12 - 2017-08-14 22:49 - Marius BALTEANU
- Related to Patch #26689: Add title to author's and assignee's icon added

#13 - 2017-08-15 17:01 - Go MAEDA

- Related to Defect #26699: Anonymous user should have their icon added

Files

assignee-icon-with-author-icon@2x.png 90.3 KB 2017-05-06 Go MAEDA

0001-Show-assignee-s-icon-in-addition-to-author-s-icon.patch 1.52 KB 2017-05-06 Go MAEDA

25775-test.patch 1.01 KB 2017-05-07 Akiko Takano
